/*
    Copyright (C) 2000 DFN-FWL (http://www.fwl.dfn.de/fwl)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/* read the http.cfg and store the values into the hash tables
 */

/* $Id: read_config.h,v 1.2 2000/03/07 15:06:57 goldbach Exp $
 *
 * $Log: read_config.h,v $
 * Revision 1.2  2000/03/07 15:06:57  goldbach
 * added GPL info
 *
 * Revision 1.1  1999/04/28 09:18:41  gellert
 * added the modules to read in the config file and place the
 * tags and attributes into a hash table.
 *
 */

#ifndef __READ_CONFIG__
#define __READ_CONFIG__

#define	MAX_STRING_LENGTH	512

int scan_attr_line(char *line);
int scan_http_line(char *line);
int scan_tag_line(char *line);

int scan_line(char *line);

int read_config(char *filename);

#endif
